<div mat-subheader>Servers ({{servers?.length || 0}})</div>
<div class="card-list">
    <mat-card
    [appearance]="'outlined'"
    *ngFor="let server of servers"
    (click)="setSelectedServer(server)"
    mat-ripple
    [matTooltip]="server.description!"
    [matTooltipShowDelay]="200"
    [matTooltipDisabled]="server == selectedServer"
    [ngClass]="server == selectedServer ? 'selected' : ''">
        <mat-card-header>
            <mat-card-title>{{server.serverName}}</mat-card-title>
            <mat-card-actions *ngIf="server == selectedServer" [align]="'end'">
                <button
                mat-icon-button
                matTooltip="Edit server name"
                [matTooltipShowDelay]="200"
                [disabled]="applicationType != 'EdgeGateway'"
                (click)="editServerName(server)">
                    <mat-icon>edit</mat-icon>
                </button>
            </mat-card-actions>
            <mat-card-subtitle>{{server.serverType}}</mat-card-subtitle>
        </mat-card-header>
        <mat-card-content *ngIf="server == selectedServer">{{server.description}}</mat-card-content>
        <mat-card-content *ngIf="isGateway(server)" class="mt-2">
            <mat-chip color="primary">Gateway</mat-chip>
        </mat-card-content>
        <mat-card-footer></mat-card-footer>
    </mat-card>
    <div *ngIf="servers?.length == 0">
        No servers available
    </div>
</div>